%global momorel 3

#define _enable_ggzwrap --enable-ggzwrap

Summary: Client libraries for GGZ gaming zone
Name:    ggz-client-libs
Version: 0.0.14.1
Release: %{momorel}m%{?dist}
License: "LGPLv2+ and GPLv2+"
Group:   System Environment/Libraries
URL: http://www.ggzgamingzone.org/
Source: http://ftp.belnet.be/packages/ggzgamingzone/ggz/%{version}/ggz-client-libs-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: expat-devel
BuildRequires: gettext
BuildRequires: libggz-devel

%description
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -q

# Avoid lib64 rpaths
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

%build
%configure \
  --disable-debug \
  --disable-static \
  %{?_enable_ggzwrap} %{?!_enable_ggzwrap:--disable-ggzwrap}

make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}

make install DESTDIR=%{buildroot}

%find_lang ggzcore
%find_lang ggz-config
cat ggz*.lang >> all.lang
 
# unpackaged files
rm -f %{buildroot}%{_libdir}/lib*.la
%{!?_enable_ggzwrap:rm -f %{buildroot}%{_mandir}/man1/ggzwrap.1*}

# make empty ggz.modules
touch %{buildroot}%{_sysconfdir}/ggz.modules

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig 

%clean
rm -rf --preserve-root %{buildroot}

%files -f all.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
# GPLv2+
%{_sysconfdir}/ggz.modules
%{_bindir}/ggz-config
%if 0%{?_enable_ggzwrap:1}
%{_bindir}/ggz
%{_bindir}/ggz-wrapper
%{_libdir}/ggz/
%{_mandir}/man1/ggzwrap.1*
%endif
%{_libdir}/libggzmod.so.*
%{_mandir}/man5/ggz.modules.5*
# LGPLv2+
%{_libdir}/libggzcore.so.*
%{_mandir}/man6/ggz*
%{_mandir}/man7/ggz*
%{_sysconfdir}/xdg/menus/applications-merged/ggz.merge.menu
%{_sysconfdir}/xdg/menus/ggz.menu
%{_datadir}/desktop-directories/ggz*.directory

%files devel
%defattr(-,root,root,-)
# GPLv2+
%{_includedir}/ggzmod.h
%{_libdir}/libggzmod.so
%{_mandir}/man3/ggzmod_h.3*
# LGPLv+
%{_includedir}/ggzcore.h
%{_libdir}/libggzcore.so
%{_mandir}/man3/ggzcore_h.3*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.14.1-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.14.1-2m)
- rebuild against gcc43

* Mon Mar 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.14.1-1m)
- update to 0.0.14.1

* Sun Jan 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.14-2m)
- this package must own "ggz.modules"

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.14-1m)
- import from Fedora devel

* Sat Nov 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.14-4
- --disable-ggzwrap (for now, until multilib, licensing is sorted out)
- move ggz-config to main pkg (runtime management of ggz modules)
- clarify GPL vs. LGPL bits
- drop BR: automake libtool

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.14-3
- try (no)rpath trick #2: modify configure

* Thu Nov 08 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.14-2
- libtoolize to avoid rpaths
- -devel +%%defattr

* Thu Sep 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.0.14-1
- cleanup

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1.2
- Rebuild for Fedora Core 5.

* Sat Dec 03 2005 Dries Verachtert <dries@ulyssis.org> - 0.0.12-1
- Initial package.
